Loading...
Searching...
No Matches
tiny_dnn::optimizer Struct Referenceabstract

base class of optimizer usesHessian : true if an optimizer uses hessian (2nd order derivative of loss function) More...

`#include <optimizer.h>`

Inheritance diagram for tiny_dnn::optimizer:
[legend]

## Public Member Functions

| optimizer (const optimizer &)=default
| optimizer (optimizer &&)=default
optimizer & | operator= (const optimizer &)=default
optimizer & | operator= (optimizer &&)=default
virtual void | update (const vec_t &dW, vec_t &W, bool parallelize)=0
virtual void | reset ()

## Detailed Description

base class of optimizer usesHessian : true if an optimizer uses hessian (2nd order derivative of loss function)

The documentation for this struct was generated from the following file:

- tiny_dnn/optimizers/optimizer.h